import { Request, Response, NextFunction } from 'express';
import Profile, { Role } from "../../models/ProfileSchema";

const addUser = () => (req: Request, res: Response, next: NextFunction) => {
  const profile = new Profile();
  
  const filds = ['studentCardNumber', 'roomNumber', 'picture'];
  filds.forEach(fild => {
    const value = req.body[fild]
    if(value)
      profile.set(fild, value);
  });
  
  profile.external_id = req.session!.user!.id;
  profile.role = Role.User;
  
  profile.save(err => {
    if (err) {
      res.status(400);
    }
    else {
      res.status(201);
      res.data = {profile};
    }
    res.json(profile);
  });
}

export default addUser;